org.apache.maven.scm.command.login

## Class LoginScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.login.LoginScmResult

All Implemented Interfaces:
  Serializable

    public class LoginScmResult
    extends ScmResult

Version:
  $Id: LoginScmResult.java 483105 2006-12-06 15:07:54Z evenisse $
Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LoginScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoginScmResult

    public LoginScmResult(String commandLine,
                  String providerMessage,
                  String commandOutput,
                  boolean success)